package com.danitheskunk.skunkworks.nodes;

import com.danitheskunk.skunkworks.Timestep;
import com.danitheskunk.skunkworks.Vec2f;

public class NodeRoot extends Node {
	private Tweener tweener;

	public NodeRoot() {
		tweener = new Tweener(Timestep.FIXED);
	}

	@Override
	public int getCurrentFrame() {
		return tweener.getCurrentFrame();
	}

	public void tick() {
		tweener.tick();
	}

	public Tweener getTweener() {
		return tweener;
	}
}
